Productsup
CDE APIApi referenceContainerapi

Update container api to the latest version for given connector version.

Update container api to the latest version for given connector version.

Sign in to run requests against the CDE API.
PUT
/connectors/{publicId}/versions/{connectorVersion}/container-api/update

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Response Body

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/container-api/update"
{
  "message": "Container API updated to the latest version.",
  "resource": "connector-version",
  "data": {
    "name": "kirlin.info",
    "description": null,
    "readme": null,
    "version": "1.0.1",
    "logo": null,
    "created-at": "2026-05-11T14:12:28+02:00",
    "updated-at": "2026-05-11T14:12:28+02:00",
    "deleted-at": null,
    "state": "updated",
    "config": {
      "update-progress": [
        "application-config",
        "vcs-config"
      ],
      "secret-registrations": [],
      "authentication-registrations": [],
      "authentication-registrations-additional-fields": [],
      "application": null,
      "vcs": null,
      "docker": {
        "image-name": null,
        "image-tag": null,
        "registry-url": null
      },
      "individuals": [],
      "migration": null,
      "execution": {
        "execution-mode": "as-env-variables",
        "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
        "docker-host": null,
        "container-api": {
          "image": null,
          "version-constraint": "^9.9.9"
        }
      },
      "export": null,
      "data-service": null,
      "datasource": {
        "categories": []
      },
      "buckets": [],
      "feature-flags": [],
      "container-api-config": null
    },
    "platform_dev_reference": {
      "account": null,
      "project": null,
      "executable": null,
      "platform-connector": null,
      "site": null,
      "site-processing-cluster": null,
      "assigned-to-site": null,
      "assigned-to-channel": null,
      "assigned-to-channel-site": null,
      "assigned-to-channel-site-destination": null,
      "runtime": {
        "environment": "bin-docker-wrapper",
        "version": "17.13.57"
      }
    },
    "platform_prod_reference": {
      "executable": null,
      "platform-connector": null,
      "target-accounts": [],
      "target-projects": [],
      "target-sites": [],
      "enabled-for-accounts": [],
      "enabled-for-projects": [],
      "enabled-for-sites": [],
      "assigned-to-sites": [],
      "released": false,
      "version": null,
      "runtime": {
        "environment": "bin-docker-wrapper",
        "version": "17.13.57"
      }
    },
    "prod_config": {
      "update-progress": [],
      "secret-registrations": [],
      "authentication-registrations": [],
      "authentication-registrations-additional-fields": [],
      "application": null,
      "vcs": null,
      "docker": {
        "image-name": null,
        "image-tag": null,
        "registry-url": null
      },
      "individuals": [],
      "migration": null,
      "execution": {
        "execution-mode": "as-env-variables",
        "container-api-image": "test.domain.docker/test/container-api-image:0.4.5",
        "docker-host": null,
        "container-api": {
          "image": null,
          "version-constraint": "^9.9.9"
        }
      },
      "export": null,
      "data-service": null,
      "datasource": {
        "categories": []
      },
      "buckets": [],
      "feature-flags": [],
      "container-api-config": null
    },
    "dev_config": null
  }
}
{
  "message": "You have to be authorized to access this resource."
}

How is this guide?